function [PROBLEM,RESP,LOAD] = FIRE_Init(PROBLEM,MESH,RESP,LOAD)

[RESP,LOAD]      = FIRE_InitField(RESP,LOAD,PROBLEM.MatPar.MatConst); 
[PROBLEM.BF]     = FIRE_InitBaseFunction(MESH,LOAD,PROBLEM.NST.TypeCMat);
[PROBLEM,LOAD]   = FIRE_InitAdditionalSetup(PROBLEM,LOAD);

%% Init spalling field
RESP.SPAL        = false(MESH.CElement.NOTriangles,1);
%% Init strength field
RESP.STRENGTH    = [PROBLEM.MatPar.MatConst(12)*ones(MESH.CElement.NOTriangles,1) PROBLEM.MatPar.MatConst(14)*ones(MESH.CElement.NOTriangles,1)];
%% Init maximal temperature
RESP.maxtheta    = zeros(size(RESP.theta,1),1);




