function [p_up,theta_up,rh_up,diff_p_up,diff_theta_up,theta_max] = FIRE_getAssign(p_new,theta_new,p,theta,diff_p,diff_theta,theta_max,XI,dTAU)

p_up             = p_new;
theta_up         = theta_new;
diff_p_up        = 1/(XI*dTAU)*(p_new-p-dTAU*(1-XI)*diff_p);
diff_theta_up    = 1/(XI*dTAU)*(theta_new-theta - dTAU*(1-XI)*diff_theta);

rh_up            = p_up ./ FIRE_getPSat(theta_up,1);

idx              = theta_up > theta_max;
theta_max(idx,1) = theta_up(idx,1);