function [GRAD] =  FIRE_getGrad(CElement,RESP,BF,ST)

GRAD.p     = zeros(CElement.NOTriangles,2);
GRAD.theta = zeros(CElement.NOTriangles,2);

for i = 1:CElement.NOTriangles
  GRAD.p(i,:)     = (BF.BSTIFF(:,:,i)*RESP.p(CElement.Matrix(i,3:5),ST))';
  GRAD.theta(i,:) = (BF.BSTIFF(:,:,i)*RESP.theta(CElement.Matrix(i,3:5),ST))';
end