function [Kappa] = FIRE_getKappa(theta,MatPar)

Damage       = zeros(size(theta,1),1);
Kappa        = zeros(size(theta,1),1);

thetaKelvin    = theta + 273.15;

% Idx.st         = (thetaKelvin <= 373.15);
% Idx.nd         = (thetaKelvin > 373.15 & thetaKelvin <= 823.15);
% Idx.rd         = (thetaKelvin > 823.15 & thetaKelvin <= 1473.15);
% Idx.th         = (thetaKelvin > 1473.15);
% 
% Damage(Idx.nd,1) = 1 - ( 873.15 - thetaKelvin(Idx.nd,1) ) / 500;
% Damage(Idx.rd,1) = 1 - ( 1473.15 - thetaKelvin(Idx.rd,1) ) / 6500;
% Damage(Idx.th,1) = 1;

Idx.st         = (thetaKelvin <= 373.15);
Idx.nd         = (thetaKelvin > 373.15 & thetaKelvin <= 373.15+30);
Idx.th         = (thetaKelvin > 373.15+30);

Damage(Idx.nd,1) = 1 - ( 373.15+30 - thetaKelvin(Idx.nd,1) ) / (30);
Damage(Idx.th,1) = 1;

Kappa(Idx.st,1)   = MatPar(7);
% Kappa(Idx.st,1)  = MatPar(7) * 0.1 +  9.000e-014/100 * ( thetaKelvin(Idx.st,1) -273.15 ) ;
% Kappa(Idx.st,1)  = MatPar(7) * 0.01 +  9.9000e-014/100 * ( thetaKelvin(Idx.st,1) -273.15 ) ;
Kappa(Idx.nd,1)  = ( 10 .^ ( 4 .* Damage(Idx.nd,1) ) ) * MatPar(7);
Kappa(Idx.th,1)  = ( 10 .^ ( 4 .* Damage(Idx.th,1) ) ) * MatPar(7);
